Skip to main content
GET
Get a site

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Headers

Cula-Organisation-Id
string
required

ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.

Example:

"org_01k83mfmhgchya944v86ryvhpq"

Path Parameters

id
string
required
Example:

"ste_01k8g7aec6dt5zrtamc72ww446"

Response

Site

id
string
required
Example:

"ste_01k8g7aec6dt5zrtamc72ww446"

name
string | null
required
Example:

"Biomass Lutz"

location
object
required
deprecated

Deprecated: use coordinates and address instead.

coordinates
object
required

Latitude/longitude coordinates of the site.

address
object | null
required

Postal address of the site, if known.

organisation_id
string | null
required
deprecated

Deprecated: use organisation instead.

Example:

"org_01k83mfmhgchya944v86ryvhpq"

organisation
object | null
required

The organisation this site is grouped under.

external_id
string | null
required
Example:

"SITE-EXT-0001"

managed_by_site
object | null
required

References a site by its ID and the external ID you assigned to it (if any).